#include <stdio.h>
#include <stdlib.h>

#define lli long long int

int main()
{
	lli n,i,j;
	lli x,y,yi;  //X is the first book, Y is the second, biggest book with the furthest place
	lli temp;

	scanf("%lli", &n);
	lli a[n];

	for(i = 0; i<n; i++)
		scanf("%lli", &a[i]);
			
	y = a[0];		//Pretpostavlja se da je 0. najveci broj u nizu
	yi = 0;
	for(i = 0; i<n; i++)		//Trazenje najveceg broja u nizu
	{
		if(a[i] >= y)
		{
			y = a[i];
			yi = i;
		}
	}
	
	for(i = 0; i<n; i++)
	{
		if((y == a[i]) && (i != n-1))
		{			
			y = a[i+1];
			yi = i+1;
			for(j = yi; j<n; j++)
			{
				if(a[j] >= y)
				{
					y = a[j];
					yi = j;
				}
			}
		}
		else if (y>a[i])				//Zamena ako je y > a[i]
		{
			temp = a[yi];
			a[yi] = a[i];
			a[i] = temp;
			break;
		}
		else							//Zamena ako je y < a[i]
		{
			temp = a[yi];
			a[yi] = a[i-1];
			a[i-1] = temp;
		}
	}

	for(i = 0; i<n; i++)
	{
		printf("%lli ", a[i]);
	}

	return 0;
}